Package org.eclipse.ui.ide

## Interface IUnassociatedEditorStrategy

    public interface IUnassociatedEditorStrategy

This interface represents a strategy for choosing an IEditorDescriptor for a given file name. It's used by the org.eclipse.ui.ide.unassociatedEditorStrategy extension point.

Since:
  3.12

### Method Summary

All Methods Instance Methods Abstract Methods
`IEditorDescriptor` `getEditorDescriptor​(String fileName, IEditorRegistry editorRegistry)`

### Method Detail

#### getEditorDescriptor

    IEditorDescriptor getEditorDescriptor​(String fileName,
                                          IEditorRegistry editorRegistry)
                                   throws CoreException,
                                          OperationCanceledException

Parameters:
  `fileName` - Name of the file to open
  `editorRegistry` - the IDE editor registry
Returns:
  an `IEditorDescriptor` for editor to use to open this file, or null if no editor was resolved for that file name.
Throws:
  `CoreException` - in case descriptor lookup fails with an error
  `OperationCanceledException` - in case descriptor lookup was cancelled by the user